PLaSK library

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
plask::align::details Namespace Reference

## Classes
struct | AlignerCustomImpl
struct | BACK
struct | BOTTOM
struct | FRONT
struct | LEFT
struct | LON_CENTER
struct | PositionAlignerImpl
| Alginer which place zero of object in constant, chosen place. More...
struct | RIGHT
struct | TOP
struct | TRAN_CENTER
struct | VERT_CENTER

## Typedefs
typedef double | alignStrategy(double lo, double hi, double coordinate)

## Functions
template<Primitive< 3 >::Direction dir, Aligner< dir > AlignerType>
void | tryGetAligner (Aligner< dir > &ans, plask::optional< double > param)
Aligner< Primitive< 3 >::DIRECTION_TRAN > | transAlignerFromDictionary (Dictionary dic, const std::string &axis_name)
Aligner< Primitive< 3 >::DIRECTION_LONG > | lonAlignerFromDictionary (Dictionary dic, const std::string &axis_name)
Aligner< Primitive< 3 >::DIRECTION_VERT > | vertAlignerFromDictionary (Dictionary dic, const std::string &axis_name)
double | lowToCoordinate (double lo, double, double coordinate)
double | hiToCoordinate (double, double hi, double coordinate)
double | centerToCoordinate (double lo, double hi, double coordinate)

## Typedef Documentation

## ◆ alignStrategy

typedef double plask::align::details::alignStrategy(double lo, double hi, double coordinate)

Definition at line 633 of file align.hpp.

## Function Documentation

## ◆ centerToCoordinate()

double plask::align::details::centerToCoordinate | ( | double | lo,
|  | double | hi,
|  | double | coordinate
| ) |  |
| inline

Definition at line 636 of file align.hpp.

## ◆ hiToCoordinate()

double plask::align::details::hiToCoordinate | ( | double | ,
|  | double | hi,
|  | double | coordinate
| ) |  |
| inline

Definition at line 635 of file align.hpp.

## ◆ lonAlignerFromDictionary()

PLASK_API Aligner< Primitive< 3 >::DIRECTION_LONG > plask::align::details::lonAlignerFromDictionary | ( | Dictionary | dic,
|  | const std::string & | axis_name
| ) |  |

Definition at line 43 of file align.cpp.

## ◆ lowToCoordinate()

double plask::align::details::lowToCoordinate | ( | double | lo,
|  | double | ,
|  | double | coordinate
| ) |  |
| inline

Definition at line 634 of file align.hpp.

## ◆ transAlignerFromDictionary()

PLASK_API Aligner< Primitive< 3 >::DIRECTION_TRAN > plask::align::details::transAlignerFromDictionary | ( | Dictionary | dic,
|  | const std::string & | axis_name
| ) |  |

Definition at line 31 of file align.cpp.

## ◆ tryGetAligner()

template<Primitive< 3 >::Direction dir, Aligner< dir > AlignerType>

void plask::align::details::tryGetAligner | ( | Aligner< dir > & | ans,
|  | plask::optional< double > | param
| ) |  |
| inline

Definition at line 25 of file align.cpp.

## ◆ vertAlignerFromDictionary()

PLASK_API Aligner< Primitive< 3 >::DIRECTION_VERT > plask::align::details::vertAlignerFromDictionary | ( | Dictionary | dic,
|  | const std::string & | axis_name
| ) |  |

Definition at line 55 of file align.cpp.